Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM > Class Template Reference

`#include <Method_Request_Dispatch_T.h>`

Inheritance diagram for TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >:

[legend]
Collaboration diagram for TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Method_Request_Dispatch_T (EVENT_PARAM event, PROXY_PARAM proxy, CORBA::Boolean filtering)
| Constuctor.
virtual | ~TAO_Notify_Method_Request_Dispatch_T ()
| Destructor.
int | execute_i (ACE_ENV_SINGLE_ARG_DECL)
| Execute the dispatch operation.
## Protected Attributes
EVENT | event_
| The Event.
PROXY | proxy_supplier_
| The Proxy.
CORBA::Boolean | filtering_
| Flag is true if we want to do fintering else false.

### template<class EVENT, class PROXY, class EVENT_PARAM, class PROXY_PARAM>
class TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >

## Constructor & Destructor Documentation

template<class EVENT, class PROXY, class EVENT_PARAM, class PROXY_PARAM>
TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >::TAO_Notify_Method_Request_Dispatch_T | ( | EVENT_PARAM | event,
|  | PROXY_PARAM | proxy,
|  | CORBA::Boolean | filtering
| ) |

| Constuctor.

template<class EVENT, class PROXY, class EVENT_PARAM, class PROXY_PARAM>
TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >::~TAO_Notify_Method_Request_Dispatch_T | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class EVENT, class PROXY, class EVENT_PARAM, class PROXY_PARAM>
int TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >::execute_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Execute the dispatch operation.

## Member Data Documentation

template<class EVENT, class PROXY, class EVENT_PARAM, class PROXY_PARAM>
EVENT TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >::event_`[protected]`

| The Event.

template<class EVENT, class PROXY, class EVENT_PARAM, class PROXY_PARAM>
CORBA::Boolean TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >::filtering_`[protected]`

| Flag is true if we want to do fintering else false.

template<class EVENT, class PROXY, class EVENT_PARAM, class PROXY_PARAM>
PROXY TAO_Notify_Method_Request_Dispatch_T< EVENT, PROXY, EVENT_PARAM, PROXY_PARAM >::proxy_supplier_`[protected]`

| The Proxy.

The documentation for this class was generated from the following files:

- Method_Request_Dispatch_T.h
- Method_Request_Dispatch_T.cpp